Update fetch_helm_deps.sh

Signed-off-by: Stavros Kois <47820033+stavros-k@users.noreply.github.com>
This commit is contained in:
Stavros Kois 2023-05-25 20:32:44 +03:00 committed by GitHub
parent 8225f68504
commit f79684a8ca
No known key found for this signature in database
GPG Key ID: 4AEE18F83AFDEB23
1 changed files with 3 additions and 3 deletions

View File

@ -101,7 +101,7 @@ for idx in $(eval echo "{0..$length}"); do
if [ ! $? ]; then if [ ! $? ]; then
echo "❌ wget encountered an error..." echo "❌ wget encountered an error..."
if [[ "$train_chart" == "incubator/*" ]]; then if [[ "$train_chart" =~ "incubator/*" ]]; then
helm dependency build "$charts_path/$train_chart/Chart.yaml" || \ helm dependency build "$charts_path/$train_chart/Chart.yaml" || \
helm dependency update "$charts_path/$train_chart/Chart.yaml"|| exit 1 helm dependency update "$charts_path/$train_chart/Chart.yaml"|| exit 1
else else
@ -112,7 +112,7 @@ for idx in $(eval echo "{0..$length}"); do
if [ -f "$cache_path/$repo_dir/$name-$version.tgz" ]; then if [ -f "$cache_path/$repo_dir/$name-$version.tgz" ]; then
echo "✅ Dependency Downloaded!" echo "✅ Dependency Downloaded!"
if [[ "$train_chart" != "incubator/*" ]]; then if [[ ! "$train_chart" =~ "incubator/*" ]]; then
echo "Validating dependency signature..." echo "Validating dependency signature..."
helm verify $cache_path/$repo_dir/$name-$version.tgz --keyring $gpg_dir/pubring.gpg || \ helm verify $cache_path/$repo_dir/$name-$version.tgz --keyring $gpg_dir/pubring.gpg || \
helm verify $cache_path/$repo_dir/$name-$version.tgz --keyring $gpg_dir/pubring.gpg || exit 1 helm verify $cache_path/$repo_dir/$name-$version.tgz --keyring $gpg_dir/pubring.gpg || exit 1
@ -122,7 +122,7 @@ for idx in $(eval echo "{0..$length}"); do
else else
echo "❌ Failed to download dependency" echo "❌ Failed to download dependency"
# Try helm dependency build/update or otherwise fail fast if a dep fails to download... # Try helm dependency build/update or otherwise fail fast if a dep fails to download...
if [[ "$train_chart" == "incubator/*" ]]; then if [[ "$train_chart" =~ "incubator/*" ]]; then
helm dependency build "$charts_path/$train_chart/Chart.yaml" || \ helm dependency build "$charts_path/$train_chart/Chart.yaml" || \
helm dependency update "$charts_path/$train_chart/Chart.yaml"|| exit 1 helm dependency update "$charts_path/$train_chart/Chart.yaml"|| exit 1
else else